Bug 214134 - [WebAuthn] There is no the dialog for multi rk credentials responses selection on iPadOS 14 beta2 like current STP 109 on macOS
Summary: [WebAuthn] There is no the dialog for multi rk credentials responses selectio...
Status: RESOLVED CONFIGURATION CHANGED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: Safari Technology Preview
Hardware: iPhone / iPad Other
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks: 181943
  Show dependency treegraph
 
Reported: 2020-07-09 05:56 PDT by nuno.sung
Modified: 2020-07-13 12:26 PDT (History)
4 users (show)

See Also:


Attachments
rk dialog on STP_109 (2.05 MB, image/jpeg)
2020-07-09 05:56 PDT, nuno.sung
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description nuno.sung 2020-07-09 05:56:01 PDT
Created attachment 403858 [details]
rk dialog on STP_109

iPadOS 14 beta 2 (Released:July 7, 2020)"

There is no the dialog for multi rk credentials responses selection like current STP 109 on macOS.
Comment 1 Radar WebKit Bug Importer 2020-07-10 13:11:23 PDT
<rdar://problem/65359347>
Comment 2 Jiewen Tan 2020-07-13 12:26:32 PDT
(In reply to nuno.sung from comment #0)
> Created attachment 403858 [details]
> rk dialog on STP_109
> 
> iPadOS 14 beta 2 (Released:July 7, 2020)"
> 
> There is no the dialog for multi rk credentials responses selection like
> current STP 109 on macOS.

Because the UI code is actually different in the two platforms unlike the WebKit code, and therefore there could very well be a gap between the two OS releases. Please stay tuned with the upcoming iOS release to verify the fix.